Main Page Groups Namespaces

# signal_base.h File Reference

## Namespaces
namespace | sigc
namespace | sigc::internal
## Classes
struct | sigc::internal::signal_impl
| Implementation of the signal interface. More...
struct | sigc::internal::signal_exec
| Exception safe sweeper for cleaning up invalid slots on the slot list. More...
struct | sigc::internal::temp_slot_list
| Temporary slot list used during signal emission. More...
struct | sigc::signal_base
| Base class for the sigc::signal# templates. More...